<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/array_list.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">array_list.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="array__list_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * To change this license header, choose License Headers in Project Properties.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * To change this template file, choose Tools | Templates</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * and open the template in the editor.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">/* </span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * File:   array_list.h</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * Author: aurelio</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#ifndef ARRAY_LIST_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define ARRAY_LIST_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="array__list_8h.html#a6e5ef30461afe01460596da09c1c88e6">   16</a></span>&#160;<span class="preprocessor">#define ARRAY_LIST_MAX_SIZE 100</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="struct_array__list.html">   18</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="struct_array__list.html#a43ceef2593627dfedfd5b55ee9a8761a">   19</a></span>&#160;    <span class="keywordtype">float</span> data[<a class="code" href="array__list_8h.html#a6e5ef30461afe01460596da09c1c88e6">ARRAY_LIST_MAX_SIZE</a>];</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="struct_array__list.html#a750b5d744c39a06bfb13e6eb010e35d0">   20</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_array__list.html#a750b5d744c39a06bfb13e6eb010e35d0">index</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;} <a class="code" href="struct_array__list.html">Array_list</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* ARRAY_LIST_H */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keywordtype">void</span> <a class="code" href="array__list_8h.html#a6ec00aaed68440b991b26dd13fec510c">init_array_list</a>(<a class="code" href="struct_array__list.html">Array_list</a> *l);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keywordtype">void</span> <a class="code" href="array__list_8h.html#ade6797971e903ae5baf44e7bde807bbd">insert_at</a>(<a class="code" href="struct_array__list.html">Array_list</a> *l, <span class="keywordtype">int</span> position, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keywordtype">void</span> <a class="code" href="array__list_8h.html#aa96f1595f2bc5574c025ec5f5094146b">add_list</a>(<a class="code" href="struct_array__list.html">Array_list</a> *l, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keywordtype">float</span> <a class="code" href="array__list_8h.html#a3916b04721e25076e491304d7ea7e3ce">remove_at</a>(<a class="code" href="struct_array__list.html">Array_list</a> *l, <span class="keywordtype">int</span> position);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keywordtype">float</span> <a class="code" href="array__list_8h.html#a9983c477beb4bf5e1edd69acaf650dd6">get_at</a>(<a class="code" href="struct_array__list.html">Array_list</a> *l,<span class="keywordtype">int</span> position);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">void</span> <a class="code" href="array__list_8h.html#a62d945c6edb93bac33f9e8ee5eb7e057">clear_array</a>(<a class="code" href="struct_array__list.html">Array_list</a> *l);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="ttc" id="aarray__list_8h_html_a3916b04721e25076e491304d7ea7e3ce"><div class="ttname"><a href="array__list_8h.html#a3916b04721e25076e491304d7ea7e3ce">remove_at</a></div><div class="ttdeci">float remove_at(Array_list *l, int position)</div><div class="ttdef"><b>Definition:</b> array_list.c:39</div></div>
<div class="ttc" id="aarray__list_8h_html_a62d945c6edb93bac33f9e8ee5eb7e057"><div class="ttname"><a href="array__list_8h.html#a62d945c6edb93bac33f9e8ee5eb7e057">clear_array</a></div><div class="ttdeci">void clear_array(Array_list *l)</div><div class="ttdef"><b>Definition:</b> array_list.c:57</div></div>
<div class="ttc" id="aarray__list_8h_html_a6e5ef30461afe01460596da09c1c88e6"><div class="ttname"><a href="array__list_8h.html#a6e5ef30461afe01460596da09c1c88e6">ARRAY_LIST_MAX_SIZE</a></div><div class="ttdeci">#define ARRAY_LIST_MAX_SIZE</div><div class="ttdef"><b>Definition:</b> array_list.h:16</div></div>
<div class="ttc" id="aarray__list_8h_html_a6ec00aaed68440b991b26dd13fec510c"><div class="ttname"><a href="array__list_8h.html#a6ec00aaed68440b991b26dd13fec510c">init_array_list</a></div><div class="ttdeci">void init_array_list(Array_list *l)</div><div class="ttdef"><b>Definition:</b> array_list.c:12</div></div>
<div class="ttc" id="aarray__list_8h_html_a9983c477beb4bf5e1edd69acaf650dd6"><div class="ttname"><a href="array__list_8h.html#a9983c477beb4bf5e1edd69acaf650dd6">get_at</a></div><div class="ttdeci">float get_at(Array_list *l, int position)</div><div class="ttdef"><b>Definition:</b> array_list.c:51</div></div>
<div class="ttc" id="aarray__list_8h_html_aa96f1595f2bc5574c025ec5f5094146b"><div class="ttname"><a href="array__list_8h.html#aa96f1595f2bc5574c025ec5f5094146b">add_list</a></div><div class="ttdeci">void add_list(Array_list *l, float value)</div><div class="ttdef"><b>Definition:</b> array_list.c:30</div></div>
<div class="ttc" id="aarray__list_8h_html_ade6797971e903ae5baf44e7bde807bbd"><div class="ttname"><a href="array__list_8h.html#ade6797971e903ae5baf44e7bde807bbd">insert_at</a></div><div class="ttdeci">void insert_at(Array_list *l, int position, float value)</div><div class="ttdef"><b>Definition:</b> array_list.c:16</div></div>
<div class="ttc" id="astruct_array__list_html"><div class="ttname"><a href="struct_array__list.html">Array_list</a></div><div class="ttdef"><b>Definition:</b> array_list.h:18</div></div>
<div class="ttc" id="astruct_array__list_html_a750b5d744c39a06bfb13e6eb010e35d0"><div class="ttname"><a href="struct_array__list.html#a750b5d744c39a06bfb13e6eb010e35d0">Array_list::index</a></div><div class="ttdeci">int index</div><div class="ttdef"><b>Definition:</b> array_list.h:20</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
